<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>jetset.cosmo_tools Module &#8212; jetset 1.0.a documentation</title>
    <link rel="stylesheet" href="../_static/bootstrap-sphinx.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0.a',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/javascript" src="../_static/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-fix.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-3.3.7/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-sphinx.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">

  </head>
  <body>

  <div id="navbar" class="navbar navbar-inverse navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html"><span><img src="../_static/logo_small_transp.png"></span>
          JetSeT</a>
        <span class="navbar-text navbar-version pull-left"><b>1.0</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="../index.html">JetSeT <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul>
<li class="toctree-l1"><a class="reference internal" href="../user_guide/user_guide.html">user guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../user_guide/user_guide.html#content">Content</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"><ul>
<li><a class="reference internal" href="#">jetset.cosmo_tools Module</a><ul>
<li><a class="reference internal" href="#module-cosmo-tools">Module: cosmo_tools</a><ul>
<li><a class="reference internal" href="#classes-and-inheritance-structure">Classes and Inheritance Structure</a></li>
<li><a class="reference internal" href="#classes-relations">Classes relations</a></li>
<li><a class="reference internal" href="#module-api">Module API</a></li>
</ul>
</li>
<li><a class="reference internal" href="#classes">Classes</a></li>
<li><a class="reference internal" href="#class-inheritance-diagram">Class Inheritance Diagram</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
            
            
              
                
              
            
            
            
            
              <li class="hidden-sm">
<div id="sourcelink">
  <a href="../_sources/api/cosmo_tools.rst.txt"
     rel="nofollow">Source</a>
</div></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
      <div class="col-md-3">
        <div id="sidebar" class="bs-sidenav" role="complementary"><ul>
<li><a class="reference internal" href="#">jetset.cosmo_tools Module</a><ul>
<li><a class="reference internal" href="#module-cosmo-tools">Module: cosmo_tools</a><ul>
<li><a class="reference internal" href="#classes-and-inheritance-structure">Classes and Inheritance Structure</a></li>
<li><a class="reference internal" href="#classes-relations">Classes relations</a></li>
<li><a class="reference internal" href="#module-api">Module API</a></li>
</ul>
</li>
<li><a class="reference internal" href="#classes">Classes</a></li>
<li><a class="reference internal" href="#class-inheritance-diagram">Class Inheritance Diagram</a></li>
</ul>
</li>
</ul>

<form action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
        </div>
      </div>
    <div class="col-md-9 content">
      
  <div class="section" id="module-jetset.cosmo_tools">
<span id="jetset-cosmo-tools-module"></span><h1>jetset.cosmo_tools Module<a class="headerlink" href="#module-jetset.cosmo_tools" title="Permalink to this headline">¶</a></h1>
<div class="section" id="module-cosmo-tools">
<h2>Module: cosmo_tools<a class="headerlink" href="#module-cosmo-tools" title="Permalink to this headline">¶</a></h2>
<p>This module contains the class Cosmo, implementing cosmological
calculations following Hogg 1999 (<a class="reference external" href="http://arxiv.org/abs/astroph/9905116">http://arxiv.org/abs/astroph/9905116</a>)</p>
<div class="section" id="classes-and-inheritance-structure">
<h3>Classes and Inheritance Structure<a class="headerlink" href="#classes-and-inheritance-structure" title="Permalink to this headline">¶</a></h3>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.cosmo_tools.Cosmo.html#jetset.cosmo_tools.Cosmo" title="jetset.cosmo_tools.Cosmo"><code class="xref py py-obj docutils literal"><span class="pre">Cosmo</span></code></a>([units,&nbsp;Omega_m,&nbsp;Omega_l,&nbsp;Omega_k,&nbsp;…])</td>
<td>This class sets-up a cosmological framework to evalute comosmological distances and volume.</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="classes-relations">
<h3>Classes relations<a class="headerlink" href="#classes-relations" title="Permalink to this headline">¶</a></h3>
<div class="figure align-center">
<img alt="../_images/classes_cosmo_tools.png" src="../_images/classes_cosmo_tools.png" />
</div>
</div>
<div class="section" id="module-api">
<h3>Module API<a class="headerlink" href="#module-api" title="Permalink to this headline">¶</a></h3>
</div>
</div>
<div class="section" id="classes">
<h2>Classes<a class="headerlink" href="#classes" title="Permalink to this headline">¶</a></h2>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.cosmo_tools.Cosmo.html#jetset.cosmo_tools.Cosmo" title="jetset.cosmo_tools.Cosmo"><code class="xref py py-obj docutils literal"><span class="pre">Cosmo</span></code></a>([units,&nbsp;Omega_m,&nbsp;Omega_l,&nbsp;Omega_k,&nbsp;…])</td>
<td>This class sets-up a cosmological framework to evalute comosmological distances and volume.</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="class-inheritance-diagram">
<h2>Class Inheritance Diagram<a class="headerlink" href="#class-inheritance-diagram" title="Permalink to this headline">¶</a></h2>
<img src="../_images/inheritance-55fef2fd5621a157f7131b9de381ef7159421f8b.png" alt="Inheritance diagram of jetset.cosmo_tools.Cosmo" usemap="#inheritance00a3a8c028" class="inheritance"/>
<map id="inheritance00a3a8c028" name="inheritance00a3a8c028">
<area shape="rect" id="node1" href="jetset.cosmo_tools.Cosmo.html#jetset.cosmo_tools.Cosmo" target="_top" title="This class sets&#45;up a cosmological framework to evalute comosmological distances and volume." alt="" coords="5,5,77,30"/>
</map>
</div>
</div>


    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2018, andrea tramacere.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.6.6.<br/>
    </p>
  </div>
</footer>
  </body>
</html>